<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=
    , initial-scale=1.0">
    <title>Home work</title>
</head>
<body>
     <script>

        object = {
            head: "",
            body: "",
            foooter: "",
            data: "",
            application: {
                head: "",
                body: "",
                foooter: "",
                data: "",
            },
            insert: function () {
                object.header = prompt("head name");
                object.body = prompt("body name");
                object.footer = prompt("footer name");
                object.data = prompt("data name");
                object.application.head = prompt(
                    "application head name"
                );
                object.application.body = prompt(
                    "application body name"
                );
                object.application.footer = prompt(
                    "application footer name"
                );
                object.application.data = prompt(
                    "application data name"
                );
            },
            show: function () {
                document.write("head name: " + object.header + "<br />");
                document.write("body name: " + object.body + "<br />");
                document.write("footer name: " + object.footer + "<br />");
                document.write("data name: " + object.data + "<br />");
                document.write(
                    "application head name: " + object.application.header + "<br />"
                );
                document.write(
                    "application body name: " + object.application.body + "<br />"
                );
                document.write(
                    "application footer name: " + object.application.footer + "<br />"
                );
                document.write(
                    "application data name: " + object.application.data + "<br />"
                );
            },
        };
        object.insert();
        object.show();

    </script>

</body>
</html>